Skip to content

ECS  >  Operations  >  list_service_deployments

list_service_deployments

Operation

list_service_deployments async

list_service_deployments(request: ListServiceDeploymentsInput | ListServiceDeploymentsInputDict, /, *, plugins: list[Plugin] | None = None) -> ListServiceDeploymentsOutput
list_service_deployments(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListServiceDeploymentsInputDict]) -> ListServiceDeploymentsOutput

This operation lists all the service deployments that meet the specified filter criteria.

A service deployment happens when you release a software update for the service. You route traffic from the running service revisions to the new service revison and control the number of running tasks.

This API returns the values that you use for the request parameters in DescribeServiceRevisions.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
ListServiceDeploymentsOutput

An instance of ListServiceDeploymentsOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

ListServiceDeploymentsInput dataclass

Bases: _SerdeShape

Dataclass for ListServiceDeploymentsInput structure.

Attributes
cluster class-attribute instance-attribute
cluster: str | None = ...

The cluster that hosts the service. This can either be the cluster name or ARN. Starting April 15, 2023, Amazon Web Services will not onboard new customers to Amazon Elastic Inference (EI), and will help current customers migrate their workloads to options that offer better price and performance. If you don't specify a cluster, default is used.

created_at class-attribute instance-attribute
created_at: CreatedAt | None = ...

An optional filter you can use to narrow the results by the service creation date. If you do not specify a value, the result includes all services created before the current time. The format is yyyy-MM-dd HH🇲🇲ss.SSSSSS.

max_results class-attribute instance-attribute
max_results: int | None = ...

The maximum number of service deployment results that ListServiceDeployments returned in paginated output. When this parameter is used, ListServiceDeployments only returns maxResults results in a single page along with a nextToken response element. The remaining results of the initial request can be seen by sending another ListServiceDeployments request with the returned nextToken value. This value can be between 1 and 100. If this parameter isn't used, then ListServiceDeployments returns up to 20 results and a nextToken value if applicable.

next_token class-attribute instance-attribute
next_token: str | None = ...

The nextToken value returned from a ListServiceDeployments request indicating that more results are available to fulfill the request and further calls are needed. If you provided maxResults, it's possible the number of results is fewer than maxResults.

service class-attribute instance-attribute
service: str | None = ...

The ARN or name of the service

status class-attribute instance-attribute
status: list[str] | None = ...

An optional filter you can use to narrow the results. If you do not specify a status, then all status values are included in the result.

Dictionaries

ListServiceDeploymentsInputDict

Bases: TypedDict

Dictionary form of ListServiceDeploymentsInput.

Attributes
cluster instance-attribute
cluster: str | None

The cluster that hosts the service. This can either be the cluster name or ARN. Starting April 15, 2023, Amazon Web Services will not onboard new customers to Amazon Elastic Inference (EI), and will help current customers migrate their workloads to options that offer better price and performance. If you don't specify a cluster, default is used.

created_at instance-attribute
created_at: CreatedAt | CreatedAtDict | None

An optional filter you can use to narrow the results by the service creation date. If you do not specify a value, the result includes all services created before the current time. The format is yyyy-MM-dd HH🇲🇲ss.SSSSSS.

max_results instance-attribute
max_results: int | None

The maximum number of service deployment results that ListServiceDeployments returned in paginated output. When this parameter is used, ListServiceDeployments only returns maxResults results in a single page along with a nextToken response element. The remaining results of the initial request can be seen by sending another ListServiceDeployments request with the returned nextToken value. This value can be between 1 and 100. If this parameter isn't used, then ListServiceDeployments returns up to 20 results and a nextToken value if applicable.

next_token instance-attribute
next_token: str | None

The nextToken value returned from a ListServiceDeployments request indicating that more results are available to fulfill the request and further calls are needed. If you provided maxResults, it's possible the number of results is fewer than maxResults.

service instance-attribute
service: Required[str]

The ARN or name of the service

status instance-attribute
status: Sequence[str] | None

An optional filter you can use to narrow the results. If you do not specify a status, then all status values are included in the result.

Output

ListServiceDeploymentsOutput dataclass

Bases: _SerdeShape

Dataclass for ListServiceDeploymentsOutput structure.

Attributes

next_token class-attribute instance-attribute
next_token: str | None = ...

The nextToken value to include in a future ListServiceDeployments request. When the results of a ListServiceDeployments request exceed maxResults, this value can be used to retrieve the next page of results. This value is null when there are no more results to return.

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.

service_deployments class-attribute instance-attribute
service_deployments: list[ServiceDeploymentBrief] | None = ...

An overview of the service deployment, including the following properties:

  • The ARN of the service deployment.

  • The ARN of the service being deployed.

  • The ARN of the cluster that hosts the service in the service deployment.

  • The time that the service deployment started.

  • The time that the service deployment completed.

  • The service deployment status.

  • Information about why the service deployment is in the current state.

  • The ARN of the service revision that is being deployed.